Subject: Re: [SCTP] Initialization collision problem

From: Vlad Yasevich <[email-masked]>
Date: Wed, 04 Apr 2007 11:44:32 -0400

[For SCTP questions, please use netdev or lksctp-developers list]

Hi Oscar

Isaula Oscar-QOI000 wrote:
> I ran into a problem where LKSCTP is reporting a SCTM_COMM_UP indication
> to the User application but is giving back a value of zero for the
> assoc_id.
> 
> Attached are the SCTP debugs for the period in question.
> 
> A couple of things that I would like to note about my setup. One is that
> I'm running Kernel version 2.6.10 (I know is old but I can't move to a
> newer version due to custom drivers). The second thing is that the link
> between the two SCTP node is a very noisy and some messages are getting
> lost (i.e. the INIT_ACK from the peer in this particular case).
> 
> After analyzing the SCTP code I came out with the following code
> changes:
> 

It does appear to be a genuine bug in lkSCTP, but your solution is
not correct.

The problem is that the original association didn't get the
association id yet in this particular scenario.

Let me take a deeper look at this to see if I can figure our
a better solution.

Thanks
-vlad